import os
from xml.dom.minidom import parse

data_destiny = '%CURRENT_ROOTDIR%'
namelist_file = '%NAMELIST%'
# data_destiny='/home/Earth/jvegas'
# namelist_file = '/home/Earth/jvegas/namelist_MyDiag.xml'

local_namelist = os.path.join(data_destiny, 'namelist%SDATE%.xml')
if os.path.exists(local_namelist):
    os.remove(local_namelist)

namelist = parse(namelist_file)
elements = namelist.getElementsByTagName('wrk_dir')
elements[0].childNodes[0].nodeValue = os.path.join(data_destiny, 'work')
elements = namelist.getElementsByTagName('climo_dir')
elements[0].childNodes[0].nodeValue = os.path.join(data_destiny, 'work', 'climo')
elements = namelist.getElementsByTagName('plot_dir')
elements[0].childNodes[0].nodeValue = os.path.join(data_destiny, 'work', 'plot')

elements = namelist.getElementsByTagName('model')
for element in elements:
    print element.childNodes[0].nodeValue
    element.childNodes[0].nodeValue = element.childNodes[0].nodeValue.replace('SDATE', '%SDATE%'[0:4])


elements = namelist.getElementsByTagName('fx_file')
for element in elements:
    if element.attributes["id"].value == 'nemo_hgrid_file':
        element.childNodes[0].nodeValue = os.path.join(data_destiny, 'hgrid.nc')
    elif element.attributes["id"].value == 'nemo_zgrid_file':
        element.childNodes[0].nodeValue = os.path.join(data_destiny, 'zgrid.nc')
    elif element.attributes["id"].value == 'nemo_lsm3d_file':
        element.childNodes[0].nodeValue = os.path.join(data_destiny, 'lsm3d_mask.nc')
    elif element.attributes["id"].value == 'nemo_lsm_file':
        element.childNodes[0].nodeValue = os.path.join(data_destiny, 'lsm_mask.nc')

new_namelist = file(local_namelist, 'w')
new_namelist.write(namelist.toprettyxml(indent="  "))
new_namelist.close()


